Standardize initscript
authorNicolas Thill <nico@openwrt.org>
Fri, 3 Jun 2005 07:21:53 +0000 (07:21 +0000)
committerNicolas Thill <nico@openwrt.org>
Fri, 3 Jun 2005 07:21:53 +0000 (07:21 +0000)
SVN-Revision: 1140

openwrt/package/asterisk/files/CONTROL/conffiles [deleted file]
openwrt/package/asterisk/files/asterisk.default [new file with mode: 0644]
openwrt/package/asterisk/files/asterisk.init [new file with mode: 0644]
openwrt/package/asterisk/files/etc/default/asterisk [deleted file]
openwrt/package/asterisk/files/etc/init.d/S60asterisk [deleted file]

diff --git a/openwrt/package/asterisk/files/CONTROL/conffiles b/openwrt/package/asterisk/files/CONTROL/conffiles
deleted file mode 100644 (file)
index 2f2314e..0000000
+++ /dev/null
@@ -1,22 +0,0 @@
-/etc/asterisk/agents.conf
-/etc/asterisk/alarmreceiver.conf
-/etc/asterisk/asterisk.conf
-/etc/asterisk/cdr_manager.conf
-/etc/asterisk/enum.conf
-/etc/asterisk/extconfig.conf
-/etc/asterisk/extensions.conf
-/etc/asterisk/features.conf
-/etc/asterisk/iax.conf
-/etc/asterisk/iaxprov.conf
-/etc/asterisk/indications.conf
-/etc/asterisk/logger.conf
-/etc/asterisk/manager.conf
-/etc/asterisk/mgcp.conf
-/etc/asterisk/modules.conf
-/etc/asterisk/osp.conf
-/etc/asterisk/privacy.conf
-/etc/asterisk/queues.conf
-/etc/asterisk/rtp.conf
-/etc/asterisk/sip.conf
-/etc/asterisk/skinny.conf
-/etc/default/asterisk
diff --git a/openwrt/package/asterisk/files/asterisk.default b/openwrt/package/asterisk/files/asterisk.default
new file mode 100644 (file)
index 0000000..bbcb3cc
--- /dev/null
@@ -0,0 +1,4 @@
+## startup options for /etc/init.d/asterisk
+
+ENABLE_ASTERISK="no"
+OPTIONS=""
diff --git a/openwrt/package/asterisk/files/asterisk.init b/openwrt/package/asterisk/files/asterisk.init
new file mode 100644 (file)
index 0000000..698c3df
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+DEFAULT=/etc/default/asterisk
+OPTIONS=""
+[ -f $DEFAULT ] && . $DEFAULT
+[ "$ENABLE_ASTERISK" = "yes" ] || exit 0
+
+case $1 in
+ start)
+  [ -d /var/run ] || mkdir -p /var/run
+  [ -d /var/log/asterisk ] || mkdir -p /var/log/asterisk
+  [ -d /var/spool/asterisk ] || mkdir -p /var/spool/asterisk
+  /usr/sbin/asterisk $OPTIONS
+  ;;
+ stop)
+  [ -f /var/run/asterisk.pid ] && kill $(cat /var/run/asterisk.pid) >/dev/null 2>&1
+  ;;
+ *)
+  echo "usage: $0 (start|stop)"
+  exit 1
+esac
+
+exit $?
diff --git a/openwrt/package/asterisk/files/etc/default/asterisk b/openwrt/package/asterisk/files/etc/default/asterisk
deleted file mode 100644 (file)
index bbcb3cc..0000000
+++ /dev/null
@@ -1,4 +0,0 @@
-## startup options for /etc/init.d/asterisk
-
-ENABLE_ASTERISK="no"
-OPTIONS=""
diff --git a/openwrt/package/asterisk/files/etc/init.d/S60asterisk b/openwrt/package/asterisk/files/etc/init.d/S60asterisk
deleted file mode 100755 (executable)
index 698c3df..0000000
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-
-DEFAULT=/etc/default/asterisk
-OPTIONS=""
-[ -f $DEFAULT ] && . $DEFAULT
-[ "$ENABLE_ASTERISK" = "yes" ] || exit 0
-
-case $1 in
- start)
-  [ -d /var/run ] || mkdir -p /var/run
-  [ -d /var/log/asterisk ] || mkdir -p /var/log/asterisk
-  [ -d /var/spool/asterisk ] || mkdir -p /var/spool/asterisk
-  /usr/sbin/asterisk $OPTIONS
-  ;;
- stop)
-  [ -f /var/run/asterisk.pid ] && kill $(cat /var/run/asterisk.pid) >/dev/null 2>&1
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
-
-exit $?